Bug 145861 - [NEW PORT] net/babeld: A distance-vector routing protocol
Summary: [NEW PORT] net/babeld: A distance-vector routing protocol
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-19 23:30 UTC by Hung-Yi Chen
Modified: 2010-04-22 23:10 UTC (History)
0 users

See Also:


Attachments
babeld-0.98.shar (3.75 KB, text/plain)
2010-04-19 23:30 UTC, Hung-Yi Chen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hung-Yi Chen 2010-04-19 23:30:01 UTC
Babel is a distance-vector routing protocol for 
IPv6 and IPv4 with fast convergence properties.
It is based on the ideas in DSDV, AODV and 
Cisco's EIGRP, but uses a variant of ETX 
link cost estimation rather than a simple 
hop-count metric.

WWW: http://www.pps.jussieu.fr/~jch/software/babel/
Comment 1 Rene Ladan freebsd_committer 2010-04-20 21:01:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 2 Rene Ladan freebsd_committer 2010-04-20 22:15:54 UTC
The port builds fine on 7-STABLE/i386, but fails on 6-STABLE/i386
because librt doesn't exist there:
http://rene-ladan.nl/tb/errors/6-FreeBSD/babeld-0.98.log

6.X reaches end-of-life coming November. In the meantime, you can try
to fix it or add something like
.if ${OSVERSION} < 700000
BROKEN=<a message telling that it doesn't work on 6.X>
.endif
Comment 3 Hung-Yi Chen 2010-04-21 13:46:20 UTC
Hi,

It's my fault.

There are no necessary to use librt on FreeBSD, so I remove it.

Please test the attach file.

2010/4/21 Rene Ladan <rene@freebsd.org>:
> The port builds fine on 7-STABLE/i386, but fails on 6-STABLE/i386
> because librt doesn't exist there:
> http://rene-ladan.nl/tb/errors/6-FreeBSD/babeld-0.98.log
>
> 6.X reaches end-of-life coming November. In the meantime, you can try
> to fix it or add something like
> .if ${OSVERSION} < 700000
> BROKEN=<a message telling that it doesn't work on 6.X>
> .endif
>
Comment 4 dfilter service freebsd_committer 2010-04-22 23:04:36 UTC
rene        2010-04-22 22:04:22 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Added files:
    net/babeld           Makefile distinfo pkg-descr 
    net/babeld/files     patch-Makefile patch-util.c 
  Log:
  Add babeld 0.98, a distance-vector routing protocol.
  
  PR:             ports/145861
  Submitted by:   Hung-Yi Chen <gaod at hychen.org>
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.2197    +1 -0      ports/net/Makefile
  1.1       +20 -0     ports/net/babeld/Makefile (new)
  1.1       +3 -0      ports/net/babeld/distinfo (new)
  1.1       +42 -0     ports/net/babeld/files/patch-Makefile (new)
  1.1       +10 -0     ports/net/babeld/files/patch-util.c (new)
  1.1       +8 -0      ports/net/babeld/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Rene Ladan freebsd_committer 2010-04-22 23:05:24 UTC
State Changed
From-To: open->closed

Committed